import type { MenuNode } from "@/api/menu";
import { defineStore } from "pinia";

export const useAppStore = defineStore(
  "App",
  () => {
    //左侧菜单相关
    const menuApp = reactive({
      isExpaned: true, //折叠控制
      menuList: [],
    });
    // 设置菜单列表
    const setMenuList = (menu: MenuNode[]) => {
      menuApp.menuList.length = 0;
      menu.forEach(item => {
        menuApp.menuList.push(item);
      })
    };
    return {
      menuApp,
      setMenuList
    };
  },
  { persist: true }
);
